import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh-control-mysql-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    // /api/upcloud-base-wh-control-mysql-eistest/eisStationDoneArea/add
    url: baseUrl + '/eisStationDoneArea/add',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    // /api/upcloud-base-wh-control-mysql-eistest/eisStationDoneArea/update
    url: baseUrl + '/eisStationDoneArea/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationDoneArea/delete',
    method: 'get',
    // data: params
    params: params,
  })
}
// 故障信息 GET

export function deviceInfo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/deviceInfo/sel-malfunction',
    method: 'get',
    //   data: params,
    params: params,
  })
}
